MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions | Variables

# src/replay_gain_config.h File Reference

`#include "check.h"`
`#include "replay_gain_info.h"`
`#include <stdbool.h>`

Go to the source code of this file.

## Functions
void | replay_gain_global_init (void)
const char * | replay_gain_get_mode_string (void)
| Returns the current replay gain mode as a machine-readable string.
bool | replay_gain_set_mode_string (const char *p)
| Sets the replay gain mode, parsed from a string.
enum replay_gain_mode | replay_gain_get_real_mode (void)
| Returns the "real" mode according to the "auto" setting".
## Variables
enum replay_gain_mode | replay_gain_mode
float | replay_gain_preamp
float | replay_gain_missing_preamp
bool | replay_gain_limit

## Function Documentation

const char* replay_gain_get_mode_string | ( | void |  | ) |

Returns the current replay gain mode as a machine-readable string.

enum replay_gain_mode replay_gain_get_real_mode | ( | void |  | ) |

Returns the "real" mode according to the "auto" setting".

void replay_gain_global_init | ( | void |  | ) |

bool replay_gain_set_mode_string | ( | const char * | p | ) |

Sets the replay gain mode, parsed from a string.

Returns:
  true on success, false if the string could not be parsed

## Variable Documentation

bool replay_gain_limit

float replay_gain_missing_preamp

enum replay_gain_mode replay_gain_mode

float replay_gain_preamp